#include <iostream>
#include <cmath>

int main(){
    int x1,y1;
    std::cin >> x1 >> y1;
    int x2,y2;
    std::cin >> x2 >> y2;
    
    int broj;
    
    if(x1 == x2 || y1 == y2)
    broj = 2;
    else if (abs(x2 - x1) == abs(y2 - y1))
    broj = 1;
    else 
    broj = 0;
    
    std::cout << broj;
}